package pt.moth.util.conflicts;
import pt.moth.processAnalysis.Process;

/**
 * This class represents a abstract conflict between two processes.
 * 
 * @author Vasco Pessanha
 */
public abstract class Conflict {
	protected Process p1;
	protected Process p2;
	protected ConflictType type;
	
	public ConflictType getConflictType(){
		return type;
	}
	public String toString(){
		return "Conflict between "+p1.getName()+" and "+p2.getName();
	}
}
