package pt.moth.util.variables;

import soot.jimple.Stmt;

/**
 * This interface represents a Variable present in a if condition
 * 
 * @author Vasco Pessanha
 * 
 */
public interface IfConditionVar extends Variable{
	@Override
	public int hashCode() ;
	@Override
	public boolean equals(Object obj);
	@Override
	public IfConditionVar copy();
	public Stmt getIfStmt();
}
